Package org.apache.solr.client.solrj.io.stream

## Class FeaturesSelectionStream.FeaturesSelectionCall

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.FeaturesSelectionStream.FeaturesSelectionCall

All Implemented Interfaces:
  `Callable<NamedList<?>>`

Enclosing class:
  FeaturesSelectionStream

    protected class FeaturesSelectionStream.FeaturesSelectionCall
    extends Object
    implements Callable<NamedList<?>>

### Constructor Summary

Constructors
`FeaturesSelectionCall​(String baseUrl, Map<String,​String> paramsMap, String field, String outcome)`

### Method Summary

All Methods Instance Methods Concrete Methods
`NamedList<?>` `call()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FeaturesSelectionCall

    public FeaturesSelectionCall​(String baseUrl,
                                 Map<String,​String> paramsMap,
                                 String field,
                                 String outcome)

### Method Detail

#### call

    public NamedList<?> call()
                      throws Exception

Specified by:
  `call` in interface `Callable<NamedList<?>>`
Throws:
  `Exception`